# DOMDocument::relaxNGValidate

(PHP 5, PHP 7)

DOMDocument::relaxNGValidate — Performs relaxNG validation on the document

### Description

public DOMDocument::relaxNGValidate ( string `$filename` ) : bool

Performs » relaxNG validation on the document based on the given RNG schema.

### Parameters

`filename`

  The RNG file.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMDocument::relaxNGValidateSource() - Performs relaxNG validation on the document
- DOMDocument::schemaValidate() - Validates a document based on a schema
- DOMDocument::schemaValidateSource() - Validates a document based on a schema
- DOMDocument::validate() - Validates the document based on its DTD